Page MenuHomePhabricator

1.43.0-wmf.3 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
brennen
Release Version
1.43.0-wmf.3
Release Date
Mon, Apr 29, 12:00 AM

2024 week 18 1.43-wmf.3 Changes wmf/1.43.0-wmf.3

This MediaWiki Train Deployment is scheduled for the week of Monday, April 29th:

Monday April 29thTuesday, April 30thWednesday, May 1stThursday, May 2ndFriday
Backports only.Branch wmf.3 and deploy to Group 0 Wikis.Deploy wmf.3 to Group 1 Wikis.Deploy wmf.3 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.3 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.43.0-wmf.2
Next: 1.43.0-wmf.4

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
thcipriani set the point value for this task to 5.

Note that I'll probably be a sub-optimal backup here after mid-day on Wednesday - traveling to Hackathon that afternoon.

Risky Patch! 🚂🔥
all of 'em
  • IRC contact: bpirkle (timezone UTC-5)
  • UBN Task Projects/tags: MW-Interfaces-Team
  • Would you like to backport this change rather than ride the train?: No

I think this change will be fine - we've tested thoroughly and the case it modifies is relatively uncommon. But as it modifies code that is executed very early in the endpoint processing cycle, and because errors returned could be surprising and confusing, we thought it prudent to mark it as a Risky Patch.

Change #1024761 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.43.0-wmf.3] Branch commit for wmf/1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1024761

Change #1024761 merged by jenkins-bot:

[mediawiki/core@wmf/1.43.0-wmf.3] Branch commit for wmf/1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1024761

Change #1025500 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1025500

Change #1025500 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1025500

Mentioned in SAL (#wikimedia-operations) [2024-04-30T03:05:55Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.43.0-wmf.3 refs T361397

Mentioned in SAL (#wikimedia-operations) [2024-04-30T04:05:22Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.43.0-wmf.3 refs T361397 (duration: 59m 27s)

Change #1025678 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1025678

Change #1025678 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1025678

Mentioned in SAL (#wikimedia-operations) [2024-04-30T08:21:42Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.43.0-wmf.3 refs T361397

Change #1026161 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1026161

Change #1026161 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1026161

Mentioned in SAL (#wikimedia-operations) [2024-05-01T15:22:36Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.43.0-wmf.3 refs T361397

Change #1026572 had a related patch set uploaded (by TrainBranchBot; author: Jaime Nuche):

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1026572

Change #1026572 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.3

https://gerrit.wikimedia.org/r/1026572

Mentioned in SAL (#wikimedia-operations) [2024-05-02T14:22:45Z] <jnuche@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.43.0-wmf.3 refs T361397